{
  "name": "jobs-worker-service",
  "version": "0.0.1",
  "description": "Jobs Worker Service",
  "productName": "Jobs Worker Service",
  "author": "Chamomind",
  "type": "module",
  "private": true,
  "scripts": {
    "lint": "eslint --ext .js,.ts,.vue ./",
    "format": "prettier --write \"**/*.{js,ts,vue,scss,html,md,json}\" --ignore-path .gitignore",
    "test": "echo \"No test specified\" && exit 0",
    "dev": "quasar dev",
    "build": "quasar build"
  },
  "dependencies": {
    "@quasar/extras": "^1.16.12",
    "@tato30/vue-pdf": "^1.11.0",
    "@vuepic/vue-datepicker": "^8.8.1",
    "axios": "^1.7.4",
    "cropperjs": "^1.6.2",
    "keycloak-js": "^25.0.4",
    "mime": "^4.0.4",
    "moment": "^2.30.1",
    "open-props": "^1.7.5",
    "pinia": "^2.2.2",
    "quasar": "^2.16.9",
    "signature_pad": "^5.0.2",
    "socket.io-client": "^4.7.5",
    "uuid": "^10.0.0",
    "vue": "^3.4.38",
    "vue-i18n": "^9.14.0",
    "vue-pdf": "^4.3.0",
    "vue-router": "^4.4.3"
  },
  "devDependencies": {
    "@iconify/vue": "^4.1.2",
    "@intlify/unplugin-vue-i18n": "^4.0.0",
    "@playwright/test": "^1.46.1",
    "@quasar/app-vite": "2.0.0-beta.19",
    "@types/node": "^20.16.1",
    "@types/uuid": "^10.0.0",
    "@typescript-eslint/eslint-plugin": "^7.18.0",
    "@typescript-eslint/parser": "^7.18.0",
    "autoprefixer": "^10.4.20",
    "eslint": "^8.57.0",
    "eslint-config-prettier": "^9.1.0",
    "eslint-plugin-vue": "^9.27.0",
    "prettier": "^3.3.3",
    "typescript": "^5.5.4"
  },
  "engines": {
    "node": "^24 || ^22 || ^20 || ^18",
    "npm": ">= 6.13.4",
    "yarn": ">= 1.21.1"
  }
}
